[med-svn] [Git][med-team/busco][master] 3 commits: Inclued path to test dataset

Israel Komolehin (@Komolehin) gitlab at salsa.debian.org
Fri Dec 15 13:29:15 GMT 2023



Israel Komolehin pushed to branch master at Debian Med / busco


Commits:
d59409af by Komolehin Israel Timilehin at 2023-12-15T12:43:03+00:00
Inclued path to test dataset

- - - - -
2f2d6e73 by Komolehin Israel Timilehin at 2023-12-15T12:44:20+00:00
Added autopkgtest for hmmer and prodigal integration

- - - - -
214aaa52 by Komolehin Israel Timilehin at 2023-12-15T12:45:04+00:00
Added lineage tarball to source

- - - - -


5 changed files:

- debian/examples
- + debian/source/include-binaries
- debian/tests/control
- + debian/tests/data/bacteria_odb10.2020-03-06.tar.gz
- + debian/tests/run-unit-test-2


Changes:

=====================================
debian/examples
=====================================
@@ -1 +1,2 @@
 config/*
+test_data/bacteria/genome.fna


=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1 @@
+debian/tests/data/bacteria_odb10.2020-03-06.tar.gz


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
-Tests: run-unit-test
+Tests: run-unit-test, run-unit-test-2
 Depends: @, python3-all, quilt
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-root, needs-internet


=====================================
debian/tests/data/bacteria_odb10.2020-03-06.tar.gz
=====================================
Binary files /dev/null and b/debian/tests/data/bacteria_odb10.2020-03-06.tar.gz differ


=====================================
debian/tests/run-unit-test-2
=====================================
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -e
+
+pkg='busco'
+CUR_DIR=`pwd`
+
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+
+cd $AUTOPKGTEST_TMP
+
+# Copy data
+cp -a ${CUR_DIR}/debian/tests/data/* .
+cp -a /usr/share/doc/${pkg}/examples/genome.fna .
+
+
+# Extract lineage
+tar -xzf bacteria_odb10.2020-03-06.tar.gz
+
+# This test requires Prodigal and HMMER
+$pkg -m genome -i genome.fna -o test_bacteria -l ./bacteria_odb10
+
+# Check output directory
+if [ -d "./test_bacteria" ]; then
+
+    echo "Output Directory Generated"
+    echo "PASS"
+
+else
+
+    echo "Output Directory Not Generated"
+    exit 1
+
+fi
+
+
+
+
+



View it on GitLab: https://salsa.debian.org/med-team/busco/-/compare/3fc8e694c4d83dfe7384a71ec619a40859f3ae6d...214aaa52c49bdab08e37432ee4a4bb2413868eb8

-- 
View it on GitLab: https://salsa.debian.org/med-team/busco/-/compare/3fc8e694c4d83dfe7384a71ec619a40859f3ae6d...214aaa52c49bdab08e37432ee4a4bb2413868eb8
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231215/7659a3a1/attachment-0001.htm>


More information about the debian-med-commit mailing list